Skip to main content
PUT
Update Quote

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
integer<int64>
required

The ID of the quote to update

validation_mode
enum<string>
default:strict

What validation method should the api use

Available options:
strict,
auto_correct

Body

application/json

Invoice object that needs to be updated

Standard quote model that returns most properties by default

client
Client model · object[]
required
id
integer

Automatically generated unique quote id

Example:

1

prefix
string

Prefix to the quote number

Example:

"INV-"

number
integer

Number of the quote

Example:

892

date
integer

Unix time of the quote date

Example:

1547501100

date_time_iso
string

ISO-8601 formatted result of the quote date

Example:

"2022-02-22T09:00:00+11:00"

expiry_date
integer

Unix time of the quote expiry date

Example:

1547501100

expiry_date_time_iso
string

ISO-8601 formatted result of the quote expiry date

Example:

"2022-02-22T09:00:00+11:00"

items
Invoice Item Model · object[]
groups
Invoice Item Groups · object[]
status
Quote Status Model · object[]
project
Project Summary Model · object[]
custom_fields
Custom Field Module Value · object[]
terms
string

Specific terms for this quote

Example:

"Expires in 30 days, subject to stock confirmation etc"

template_id
integer

The template id selected for this quote, 0 = Default or no template

Example:

213

cloned_id
integer

The id of the quote or invoice that this was duplicated from

Example:

545647

reference
string

Text reference to a quote, invoice or purchase order

Example:

"QU-9893"

currency
string

Currency code (three character format) that this quote is in

Example:

"AUD"

created_sp_flag
boolean

True if this quote was created in Sonderplan

Example:

"true"

Response

Successful Operation

success
object